## GstVaapiDisplayEGL GstVaapiDisplayEGL |

## Functions

GstVaapiDisplay * | gst_vaapi_display_egl_new ()
GstVaapiDisplay * | gst_vaapi_display_egl_new_with_native_display ()
EGLDisplay | gst_vaapi_display_egl_get_gl_display ()
gboolean | gst_vaapi_display_egl_set_gl_context ()
EGLContext | gst_vaapi_display_egl_get_gl_context ()

## Types and Values

| GstVaapiDisplayEGL

## Description

## Functions

### gst_vaapi_display_egl_new ()

    GstVaapiDisplay *
    gst_vaapi_display_egl_new (GstVaapiDisplay *display,
                               guint gles_version);

Creates a new GstVaapiDisplay object suitable in EGL context. If the native `display` is `NULL`, then any type of display is picked, i.e. one that can be successfully opened. The `gles_version` will further ensure the OpenGL ES API to use, or zero to indicate "desktop" OpenGL.

#### Parameters

display | a GstVaapiDisplay, or `NULL` to pick any one |
gles_version | the OpenGL ES version API to use |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_egl_new_with_native_display ()

    GstVaapiDisplay *
    gst_vaapi_display_egl_new_with_native_display
                                   (gpointer native_display,
                                    GstVaapiDisplayType display_type,
                                    guint gles_version);

Creates a GstVaapiDisplay based on the native display supplied in as `native_display` . The caller still owns the display and must call native display close function when all GstVaapiDisplay references are released. Doing so too early can yield undefined behaviour.

The `gles_version` will further ensure the OpenGL ES API to use, or zero to indicate "desktop" OpenGL.

#### Parameters

native_display | an EGLDisplay object |
display_type | the display type of `native_display` |
gles_version | the OpenGL ES version API to use |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_egl_get_gl_display ()

    EGLDisplay
    gst_vaapi_display_egl_get_gl_display (GstVaapiDisplayEGL *display);

### gst_vaapi_display_egl_set_gl_context ()

    gboolean
    gst_vaapi_display_egl_set_gl_context (GstVaapiDisplayEGL *display,
                                          EGLContext gl_context);

### gst_vaapi_display_egl_get_gl_context ()

    EGLContext
    gst_vaapi_display_egl_get_gl_context (GstVaapiDisplayEGL *display);

## Types and Values

### GstVaapiDisplayEGL

    typedef struct {
    } GstVaapiDisplayEGL;

VA/EGL display wrapper.